%define section devel

Summary:        JBoss buildmagic tasks module
Name:           jboss4-buildmagic-tasks
Version:        2.0
Release:        3jpp
Epoch:          0
License:        LGPL
URL:            http://www.jboss.org/
Group:          Development/Libraries/Java
Vendor:         JPackage Project
Distribution:   JPackage
Source0:        jboss-buildmagic-2.0.tar.gz
Source1:        jboss-common-4.0.0.DR4.tar.gz
# cvs -d:pserver:anonymous@cvs.sourceforge.net:/cvsroot/jboss login
# cvs -z3 -d:pserver:anonymous@cvs.sourceforge.net:/cvsroot/jboss export -r buildmagic-2_0 buildmagic
# cvs -z3 -d:pserver:anonymous@cvs.sourceforge.net:/cvsroot/jboss export -r Rel_4_0_0_DR4 jboss-common
Patch0:         jboss4-buildmagic-tasks-build_xml.patch
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:  ant >= 0:1.5
BuildRequires:  bsf
BuildRequires:  log4j
Requires:  bsf
Requires:  log4j
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Buildmagic tasks module of JBoss

%prep
%setup -q -n buildmagic
gzip -dc %{SOURCE1} | tar -xf -
find . -name "*.jar" -exec rm {} \;
cp tasks/build.xml tasks/build.xml.sav
for f in `find tasks/src -name "*.java"`; do
    sed -e 's|com\.ibm\.bsf|org\.apache\.bsf|' $f > temp.java
    cp temp.java $f
done
rm temp.java
mkdir -p tasks/src/main/org/jboss/util/file
mkdir -p tasks/src/main/org/jboss/util/platform
mkdir -p tasks/src/main/org/jboss/util/stream
mkdir -p tasks/src/main/org/jboss/logging
cp jboss-common/src/main/org/jboss/util/DirectoryBuilder.java tasks/src/main/org/jboss/util
cp jboss-common/src/main/org/jboss/util/Strings.java tasks/src/main/org/jboss/util
cp jboss-common/src/main/org/jboss/util/NestedError.java tasks/src/main/org/jboss/util
cp jboss-common/src/main/org/jboss/util/NestedThrowable.java tasks/src/main/org/jboss/util
cp jboss-common/src/main/org/jboss/util/ThrowableHandler.java tasks/src/main/org/jboss/util
cp jboss-common/src/main/org/jboss/util/ThrowableListener.java tasks/src/main/org/jboss/util
cp jboss-common/src/main/org/jboss/util/NullArgumentException.java tasks/src/main/org/jboss/util
cp jboss-common/src/main/org/jboss/util/EmptyStringException.java tasks/src/main/org/jboss/util
cp jboss-common/src/main/org/jboss/util/file/Files.java tasks/src/main/org/jboss/util/file
cp jboss-common/src/main/org/jboss/util/platform/Java.java tasks/src/main/org/jboss/util/platform
cp jboss-common/src/main/org/jboss/util/stream/Streams.java tasks/src/main/org/jboss/util/stream
cp jboss-common/src/main/org/jboss/logging/Logger.java tasks/src/main/org/jboss/logging
cp jboss-common/src/main/org/jboss/logging/LoggerPlugin.java tasks/src/main/org/jboss/logging
cp jboss-common/src/main/org/jboss/logging/NullLoggerPlugin.java tasks/src/main/org/jboss/logging

%patch0

%build
export CLASSPATH=$(build-classpath \
bsf \
log4j)
cd tasks
ant \
        -Djavac.optimize=off \
        -Djavac.target=1.4 \
        -Djavac.debug=off \
        -Djavac.depend=no \
        -Djavac.verbose=no \
        -Djavac.deprecation=on \
        -Djavac.include.ant.runtime=yes \
        -Djavac.include.java.runtime=no \
        -Djavac.fail.onerror=true \
	-Djavac.includes=**/*.java \
	-Dsource.java=src \
	-Dsource.etc=src/etc \
	-Dsource.resources=src/resources \
	-Dbuild.classes=output/classes \
	-Dbuild.gen.classes=output/gen/classes \
	-Dbuild.etc=output/etc \
	-Dbuild.resources=output/resources \
	-Dbuild.lib=output/lib \
	-Dinit.disable=true \
	-Ddependency-manager.offline=true \
	-Dbuild.sysclasspath=only \
	output

%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}/jboss4
cp -p tasks/output/lib/buildmagic-tasks.jar \
  $RPM_BUILD_ROOT%{_javadir}/jboss4/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir}/jboss4 && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
#%doc LICENSE.txt
%{_javadir}/jboss4/*.jar

%changelog
* Sun Aug 23 2004 Randy Watler <rwatler at finali.com> - 0:2.0-3jpp
- Rebuild with ant-1.6.2
* Fri Jul 02 2004 Ralph Apel <r.apel at r-apel.de> - 0:2.0-2jpp
- Relax some versioned dependencies

* Tue Jun 08 2004 Ralph Apel <r.apel at r-apel.de> - 0:2.0-1jpp
- First JPackage release
